/*
 * adapter.h -- USB Atmel/Universal programmer: Adapter cable virtualization. 
 * 
 * Copyright (c) 2007 by Wolfgang Wieser ] wwieser (a) gmx <*> de [
 * 
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation. (See COPYING.GPL for details.)
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _USB_ATMEL_PRG_ADAPTER_H_
#define _USB_ATMEL_PRG_ADAPTER_H_ 1

#include "config.h"

// Base class for different cable adapters. 
class CableAdapter
{
	private:
		// Do not use. 
		CableAdapter(const CableAdapter &);
		void operator=(const CableAdapter &);
	public:
		CableAdapter();
		~CableAdapter();
};

#endif  /* _USB_ATMEL_PRG_ADAPTER_H_ */
